> ## Documentation Index
> Fetch the complete documentation index at: https://docs.screenframed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update auth profile

` PATCH /v1/auth-profiles/{id} `

Update auth profile

## Servers

- ` https://screenframed.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` bearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - ScreenFramed API key, such as `sf_live_...`.

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

  - pattern: ` "^ap_[A-Z0-9]{26}$" `

## Request body (required)

Content type: ` application/json `

- ` value `: type ` unknown `

  - ` allOf constraint 1 `: type ` object `

    - Required fields: ` domain `

    - ` name `: type ` string `

    - ` domain `: type ` string `

    - ` project_id `: type ` string `

      - pattern: ` "^prj_[A-Z0-9]{26}$" `

    - ` cookie_header `: type ` string `

    - ` storage_state `: type ` object `

      - ` cookies `: type ` array `

        - ` array item `: type ` object `

          - ` name `: type ` string `

          - ` value `: type ` string `

          - ` domain `: type ` string `

          - ` path `: type ` string `

          - ` expires `: type ` number `

          - ` httpOnly `: type ` boolean `

          - ` secure `: type ` boolean `

          - ` sameSite `: type ` string `

            - enum: ` ["Strict","Lax","None"] `

      - ` origins `: type ` array `

        - ` array item `: type ` object `

          - ` origin `: type ` string `; format ` uri `

          - ` localStorage `: type ` array `

            - ` array item `: type ` object `

              - ` name `: type ` string `

              - ` value `: type ` string `

    - ` cookies `: type ` array `

      - ` array item `: type ` object `

        - ` name `: type ` string `

        - ` value `: type ` string `

        - ` domain `: type ` string `

        - ` path `: type ` string `

        - ` expires `: type ` number `

        - ` httpOnly `: type ` boolean `

        - ` secure `: type ` boolean `

        - ` sameSite `: type ` string `

          - enum: ` ["Strict","Lax","None"] `

    - ` origins `: type ` array `

      - ` array item `: type ` object `

        - ` origin `: type ` string `; format ` uri `

        - ` localStorage `: type ` array `

          - ` array item `: type ` object `

            - ` name `: type ` string `

            - ` value `: type ` string `

## Responses

### ` 200 ` — Auth profile

Content type: ` application/json `

- ` value `: type ` object `

  - ` profile `: type ` object `

    - ` id `: type ` string `

      - pattern: ` "^ap_" `

    - ` project_id `: type ` string `; nullable

    - ` name `: type ` string `

    - ` domain `: type ` string `

    - ` cookie_count `: type ` integer `

    - ` status `: type ` string `

    - ` last_used_at `: type ` string `; nullable

    - ` created_at `: type ` string `

    - ` updated_at `: type ` string `

### ` 404 ` — Error response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` object `

    - Required fields: ` code `, ` message `

    - ` code `: type ` string `

    - ` message `: type ` string `

    - ` details `: type ` object `

    - ` retry_after `: type ` integer `

## Request examples

### cURL

```curl
curl -X PATCH 'https://screenframed.com/v1/auth-profiles/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d 'null'
```

### JavaScript

```javascript
const response = await fetch('https://screenframed.com/v1/auth-profiles/string', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify(null)
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://screenframed.com/v1/auth-profiles/string', headers=headers, json=null)
print(response.json())
```